## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global extension   vertical-workspaces
%global uuid        %{extension}@G-dH.github.com

Name:           gnome-shell-extension-%{extension}
Version:        23
Release:        %autorelease
Summary:        Vertical orientation of workspaces for GNOME 40+
License:        GPL-3.0-only
URL:            https://github.com/G-dH/vertical-workspaces
BuildArch:      noarch

Source:         %{url}/archive/v%{version}/%{extension}-%{version}.tar.gz

Requires:       gnome-shell >= 40
Recommends:     gnome-extensions-app
Provides:       %{extension} = %{version}-%{release}


%description
Vertical orientation of workspaces and options to customize Activities overview
layout and content for GNOME 40+.


%prep
%autosetup -n %{extension}-%{version}


%install
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

# install main extension files
cp -p *.js stylesheet.css metadata.json \
    %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/

# install the schema file
install -D -p -m 0644 \
    schemas/org.gnome.shell.extensions.%{extension}.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%files
%license LICENSE
%doc CHANGELOG.md
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%changelog
* Fri Dec 23 2022 Carl George <carl@george.computer> 23-1
- Update to version 23, resolves rhbz#2155960

* Wed Dec 07 2022 Carl George <carl@george.computer> 18-1
- Update to version 18, resolves rhbz#2150087

* Fri Oct 21 2022 Carl George <carl@george.computer> 13-1
- Update to version 13, resolves rhbz#2136698

* Sun Sep 11 2022 Carl George <carl@george.computer> 12-1
- Update to version 12, resolves rhbz#2125914

* Tue Sep 06 2022 Carl George <carl@george.computer> 11-1
- Initial package, resolves rhbz#2124391
